edu.msu.cme.rdp.classifier.utils

## Class ClassifierFactory

- java.lang.Object
- - edu.msu.cme.rdp.classifier.utils.ClassifierFactory

    public class ClassifierFactory
    extends java.lang.Object

A factory to create a classifier with the training information defined by the property file.

### Field Summary

Fields
`static java.lang.String` `FUNGALITS_unite_GENE`
`static java.lang.String` `FUNGALITS_warcup_GENE`
`static java.lang.String` `FUNGALLSU_GENE`
`static java.lang.String` `RRNA_16S_GENE`

### Method Summary

Methods
`Classifier` `createClassifier()` Creates a new classifier.
`java.lang.String` `getClassifierVersion()` Returns the version of the classifier.
`static ClassifierFactory` `getFactory(java.lang.String gene)` Returns a factory with the training information.
`HierarchyVersion` `getHierarchyTrainsetNo()` Returns the info of the taxonomy hierarchy from of the training file.
`java.lang.String` `getHierarchyVersion()` Returns the version of the taxonomical hierarchy.
`HierarchyTree` `getRoot()`
`java.lang.String` `getTrainRank()`
`static void` `resetDefaultDataProp()` Resets the data property file to the default data property file.
`static void` `setDataProp(java.lang.String properties, boolean relative)` Sets the property file which contains the mapping of the training files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RRNA_16S_GENE

    public static final java.lang.String RRNA_16S_GENE

See Also:
  Constant Field Values

#### FUNGALLSU_GENE

    public static final java.lang.String FUNGALLSU_GENE

See Also:
  Constant Field Values

#### FUNGALITS_warcup_GENE

    public static final java.lang.String FUNGALITS_warcup_GENE

See Also:
  Constant Field Values

#### FUNGALITS_unite_GENE

    public static final java.lang.String FUNGALITS_unite_GENE

See Also:
  Constant Field Values

### Method Detail

#### resetDefaultDataProp

    public static void resetDefaultDataProp()

Resets the data property file to the default data property file.

#### setDataProp

    public static void setDataProp(java.lang.String properties,
                   boolean relative)

Sets the property file which contains the mapping of the training files. The actually training data files should be in the same directory as this property file. To override the default property location, this method must be called before the first ClassifierFactory.getFactory() call.

#### getFactory

    public static ClassifierFactory getFactory(java.lang.String gene)
                                        throws java.io.IOException,
                                               TrainingDataException

Returns a factory with the training information. This method initialize all the training information. Note: the ClassifierFactory.setDataProp() static method must be called before this method if default property file will not be used.

Throws:
  `java.io.IOException`
  `TrainingDataException`

#### createClassifier

    public Classifier createClassifier()

Creates a new classifier.

#### getHierarchyVersion

    public java.lang.String getHierarchyVersion()

Returns the version of the taxonomical hierarchy.

#### getHierarchyTrainsetNo

    public HierarchyVersion getHierarchyTrainsetNo()

Returns the info of the taxonomy hierarchy from of the training file.

#### getClassifierVersion

    public java.lang.String getClassifierVersion()

Returns the version of the classifier.

#### getRoot

    public HierarchyTree getRoot()

#### getTrainRank

    public java.lang.String getTrainRank()